Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class FormulaInfo

    java.lang.Object
      jet.api.FormulaInfo

    public class FormulaInfo

extends java.lang.Object

Constructor Summary
`FormulaInfo()` Constructor.
`FormulaInfo(java.lang.String name, java.lang.String desc, java.lang.String expression)` Constructor.

Method Summary
`java.lang.String` | `getDescription()` Gets formula description
`java.lang.String` | `getExpression()` Gets formula expression
`java.lang.String` | `getName()` Gets formula Name
`void` | `setDescription(java.lang.String desc)` Sets formula description
`void` | `setExpression(java.lang.String expression)` Sets formula expression
`void` | `setName(java.lang.String name)` Sets formula Name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormulaInfo

    public FormulaInfo()

  Constructor. Creates the formula infomation object.

### FormulaInfo

    public FormulaInfo(java.lang.String name,
                       java.lang.String desc,
                       java.lang.String expression)

  Constructor. Creates the formula infomation object.

  Parameters:
    `name` - the name of the formula
    `desc` - the description of the formula
    `expression` - the formula expression

Method Detail

### getName

    public java.lang.String getName()

  Gets formula Name

  Returns:
    formula name

### setName

    public void setName(java.lang.String name)

  Sets formula Name

  Parameters:
    `name` - formula name

### getDescription

    public java.lang.String getDescription()

  Gets formula description

  Returns:
    formula description text

### setDescription

    public void setDescription(java.lang.String desc)

  Sets formula description

  Parameters:
    `desc` - formula description

### getExpression

    public java.lang.String getExpression()

  Gets formula expression

  Returns:
    formula expression text

### setExpression

    public void setExpression(java.lang.String expression)

  Sets formula expression

  Parameters:
    `expression` - formula expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD